## fotowall 0.98~beta+git20150707

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(fotowall)

find_package(Qt4 4.7 REQUIRED QtCore QtGui QtNetwork QtSvg QtXml QtOpenGL QtWebKit)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(fotowall 3rdparty/posterazor/)

set(SOURCE_FILES
    fotowall.qrc
    3rdparty/likebackfrontend/LikeBack.cpp
    3rdparty/likebackfrontend/LikeBack.h
    3rdparty/likebackfrontend/LikeBack_p.h
    3rdparty/likebackfrontend/LikeBackDialog.cpp
    3rdparty/likebackfrontend/LikeBackDialog.h
    3rdparty/pencil/FloodGenerator.cpp
    3rdparty/pencil/FloodGenerator.h
    3rdparty/pencil/FloodPoly.cpp
    3rdparty/pencil/FloodPoly.h
    3rdparty/pencil/PencilItem.cpp
    3rdparty/pencil/PencilItem.h
    3rdparty/posterazor/controller.cpp
    3rdparty/posterazor/controller.h
    3rdparty/posterazor/imageloaderinterface.h
    3rdparty/posterazor/imageloaderqt.cpp
    3rdparty/posterazor/imageloaderqt.h
    3rdparty/posterazor/paintcanvas.cpp
    3rdparty/posterazor/paintcanvas.h
    3rdparty/posterazor/paintcanvasinterface.h
    3rdparty/posterazor/pdfwriter.cpp
    3rdparty/posterazor/pdfwriter.h
    3rdparty/posterazor/posterazorcore.cpp
    3rdparty/posterazor/posterazorcore.h
    3rdparty/posterazor/snapspinbox.cpp
    3rdparty/posterazor/snapspinbox.h
    3rdparty/posterazor/types.cpp
    3rdparty/posterazor/types.h
    3rdparty/posterazor/wizard.h
    3rdparty/posterazor/wizard.cpp
    3rdparty/posterazor/wizardcontroller.h
    3rdparty/posterazor/wizardcontroller.cpp
    3rdparty/qtcolortriangle/qtcolortriangle.cpp
    3rdparty/qtcolortriangle/qtcolortriangle.h
    3rdparty/richtextedit/richtexteditor.cpp
    3rdparty/richtextedit/richtexteditor_p.h
    3rdparty/videocapture/bayer.cpp
    3rdparty/videocapture/bayer.h
    3rdparty/videocapture/sonix_compress.cpp
    3rdparty/videocapture/sonix_compress.h
    3rdparty/videocapture/VideoDevice.cpp
    3rdparty/videocapture/VideoDevice.h
    3rdparty/videocapture/VideoInput.cpp
    3rdparty/videocapture/VideoInput.h
    3rdparty/enricomath.h
    3rdparty/gsuggest.cpp
    3rdparty/gsuggest.h
    App/App.cpp
    App/App.h
    App/CanvasAppliance.cpp
    App/CanvasAppliance.h
    App/ExactSizeDialog.cpp
    App/ExactSizeDialog.h
    App/ExportWizard.cpp
    App/ExportWizard.h
    App/FotowallFile.cpp
    App/FotowallFile.h
    App/Hardware3DTest.cpp
    App/Hardware3DTest.h
    App/HelpAppliance.cpp
    App/HelpAppliance.h
    App/HelpItem.cpp
    App/HelpItem.h
    App/HomeAppliance.cpp
    App/HomeAppliance.h
    App/HomeScene.cpp
    App/HomeScene.h
    App/MainWindow.cpp
    App/MainWindow.h
    App/OnlineServices.cpp
    App/OnlineServices.h
    App/PictureSearchWidget.cpp
    App/PictureSearchWidget.h
    App/SceneView.cpp
    App/SceneView.h
    App/Settings.cpp
    App/Settings.h
    App/UrlHistoryBox.cpp
    App/UrlHistoryBox.h
    App/VersionCheckDialog.cpp
    App/VersionCheckDialog.h
    App/WordcloudAppliance.cpp
    App/WordcloudAppliance.h
    App/WordcloudSidebar.cpp
    App/WordcloudSidebar.h
    App/Workflow.cpp
    App/Workflow.h
    Canvas/AbstractConfig.cpp
    Canvas/AbstractConfig.h
    Canvas/AbstractContent.cpp
    Canvas/AbstractContent.h
    Canvas/BezierCubicItem.cpp
    Canvas/BezierCubicItem.h
    Canvas/ButtonItem.cpp
    Canvas/ButtonItem.h
    Canvas/Canvas.cpp
    Canvas/Canvas.h
    Canvas/CanvasModeInfo.cpp
    Canvas/CanvasModeInfo.h
    Canvas/CanvasViewContent.cpp
    Canvas/CanvasViewContent.h
    Canvas/ContentProperties.cpp
    Canvas/ContentProperties.h
    Canvas/CornerItem.cpp
    Canvas/CornerItem.h
    Canvas/MirrorItem.cpp
    Canvas/MirrorItem.h
    Canvas/PictureConfig.cpp
    Canvas/PictureConfig.h
    Canvas/PictureContent.cpp
    Canvas/PictureContent.h
    Canvas/PictureProperties.cpp
    Canvas/PictureProperties.h
    Canvas/SelectionProperties.cpp
    Canvas/SelectionProperties.h
    Canvas/StyledButtonItem.cpp
    Canvas/StyledButtonItem.h
    Canvas/TextConfig.cpp
    Canvas/TextConfig.h
    Canvas/TextContent.cpp
    Canvas/TextContent.h
    Canvas/TextProperties.cpp
    Canvas/TextProperties.h
    Canvas/WebcamContent.cpp
    Canvas/WebcamContent.h
    Canvas/WordcloudContent.cpp
    Canvas/WordcloudContent.h
    Frames/Frame.cpp
    Frames/Frame.h
    Frames/FrameFactory.cpp
    Frames/FrameFactory.h
    Frames/HeartFrame.cpp
    Frames/HeartFrame.h
    Frames/PlasmaFrame.cpp
    Frames/PlasmaFrame.h
    Frames/StandardFrame.cpp
    Frames/StandardFrame.h
    Shared/PictureServices/AbstractPictureService.cpp
    Shared/PictureServices/AbstractPictureService.h
    Shared/PictureServices/FlickrPictureService.cpp
    Shared/PictureServices/FlickrPictureService.h
    Shared/PictureServices/GoogleImagesPictureService.cpp
    Shared/PictureServices/GoogleImagesPictureService.h
    Shared/PlugGui/AbstractAppliance.cpp
    Shared/PlugGui/AbstractAppliance.h
    Shared/PlugGui/Container.cpp
    Shared/PlugGui/Container.h
    Shared/PlugGui/Stacker.cpp
    Shared/PlugGui/Stacker.h
    Shared/AbstractDisposeable.cpp
    Shared/AbstractDisposeable.h
    Shared/AbstractResourceProvider.h
    Shared/AbstractScene.cpp
    Shared/AbstractScene.h
    Shared/BlinkingToolButton.cpp
    Shared/BlinkingToolButton.h
    Shared/BreadCrumbBar.cpp
    Shared/BreadCrumbBar.h
    Shared/BrowserItem.cpp
    Shared/BrowserItem.h
    Shared/ButtonsDialog.cpp
    Shared/ButtonsDialog.h
    Shared/ColorPickerItem.cpp
    Shared/ColorPickerItem.h
    Shared/CPixmap.cpp
    Shared/CPixmap.h
    Shared/CroppingDialog.cpp
    Shared/CroppingDialog.h
    Shared/CroppingWidget.cpp
    Shared/CroppingWidget.h
    Shared/GlowEffectDialog.cpp
    Shared/GlowEffectDialog.h
    Shared/GlowEffectWidget.cpp
    Shared/GlowEffectWidget.h
    Shared/GroupBoxWidget.cpp
    Shared/GroupBoxWidget.h
    Shared/HighlightItem.cpp
    Shared/HighlightItem.h
    Shared/MetaXmlReader.cpp
    Shared/MetaXmlReader.h
    Shared/PanePropertyEditor.cpp
    Shared/PanePropertyEditor.h
    Shared/PictureEffect.h
    Shared/PixmapButton.cpp
    Shared/PixmapButton.h
    Shared/PropertyEditors.cpp
    Shared/PropertyEditors.h
    Shared/RenderOpts.h
    Shared/VideoProvider.cpp
    Shared/VideoProvider.h
    Wordcloud/Bits.h
    Wordcloud/Cloud.cpp
    Wordcloud/Cloud.h
    Wordcloud/Scanner.cpp
    Wordcloud/Scanner.h
    Wordcloud/WordItem.cpp
    Wordcloud/WordItem.h
    main.cpp)

add_executable(fotowall ${SOURCE_FILES})

target_link_libraries(fotowall Qt4::QtGui Qt4::QtXml Qt4::QtNetwork Qt4::QtSvg Qt4::QtOpenGL Qt4::QtCore Qt4::QtWebKit X11)

## fotowall 0.9

=== debian/changelog ===
fotowall (0.9-11) unstable; urgency=low

  * Allow parallel building.
    Closes: #722721

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Sep 2013 10:49:01 +0200

fotowall (0.9-10) unstable; urgency=low

  * Fix lintian warning menu-icon-uses-relative-path.
  * Add patch 03-desktop-keywords to fix lintian warning
    desktop-entry-lacks-keywords-entry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2013 11:58:24 +0200

fotowall (0.9-9) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Migrate to minimal debhelper.
  * Bump debian/compat to level 9.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 19 May 2013 18:54:05 +0200

fotowall (0.9-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Add patch 02-spelling-error, which fixes several spelling errors in the
    source code. Also overwrite the now false positive lintian warning.
  * Override lintian warning about missing changelog.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Feb 2012 20:11:56 +0100

fotowall (0.9-7) unstable; urgency=low

  * Fix typo in package long description.
    Closes: #641942

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 24 Sep 2011 23:25:32 +0200

fotowall (0.9-6) unstable; urgency=low

  * Use linux-any instead of hardcoded architecture list.
    Closes: #634490
  * Add missing build-arch and build-indep target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 21:27:44 +0200

fotowall (0.9-5) unstable; urgency=high

  * Do not build depend on libv4l-dev on hurd and kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:04:30 +0200

fotowall (0.9-4) unstable; urgency=low

  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 15:58:30 +0200

fotowall (0.9-3) unstable; urgency=high

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Wrap build dependencies.
  * Add build dependency libv4l-dev and add the patch moved-videodev.h-include,
    to fix an FTBFS with Linux 2.6.38.
    Closes: #621968

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Apr 2011 20:51:28 +0200

fotowall (0.9-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:06:44 +0100

fotowall (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Dec 2009 09:14:02 +0100

fotowall (0.8.2+git20091129-1) unstable; urgency=low

  * New upstream git snapshot from the 29.11.2009.
  * Disable the new auto update check function.
  * Do not build with Video4Linux support on kfreebsd. Now fotowall builds
    fine on those architectures.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Nov 2009 14:32:32 +0100

fotowall (0.8.2+git20091113-1) unstable; urgency=low

  * New upstream git snapshot from the 13.11.2009.
  * Convert package to 3.0 (quilt).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Nov 2009 11:54:14 +0100

fotowall (0.8.2+git20091101-1) unstable; urgency=low

  * New upstream git snapshot from the 01.11.2009.
    - Drop all patches, they have been merged.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 Nov 2009 11:55:22 +0100

fotowall (0.8.2-3) unstable; urgency=low

  * Add 02-fix-armel-ftbfs-2.dpatch, which may add some other missing casts,
    so that the package builds on armel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 22 Oct 2009 19:34:16 +0200

fotowall (0.8.2-2) unstable; urgency=low

  * Simplify debian/copyright a bit.
  * Add 01-fix-armel-ftbfs.dpatch to fix a FTBFS on armel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 22 Oct 2009 11:12:25 +0200

fotowall (0.8.2-1) unstable; urgency=low

  * Initial release.
    Closes: #474554

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Oct 2009 19:36:37 +0200

=== debian/control ===
Source: fotowall
Section: kde
Priority: optional
Homepage: http://www.enricoros.com/opensource/fotowall/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 libqt4-dev,
 libqt4-opengl-dev,
 libv4l-dev [linux-any],
 zlib1g-dev,
 hardening-wrapper
Standards-Version: 3.9.4

Package: fotowall
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: simple application for creating collages and compositions
 FotoWall is a creative tool that allows you to layout your photos or
 pictures in a personal way.
 .
 You can add pictues, then resize, move, change colors, text, shadows,
 etc. to create your composition or collage.
 .
 The focus of this application is on simplicity.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := CONFIG*=no-webcam
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	DEFINES*=NO_UPDATE_CHECK

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS) $(EXTRAFLAGS)

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://www.enricoros.com/opensource/fotowall/binaries/ \
http://fotowall.googlecode.com/files/Fotowall-(.+)\.tar\.bz2

## fotowall 0.98~beta+git20150707

=== debian/changelog ===
fotowall (0.98~beta+git20150707-1) unstable; urgency=low

  * New upstream git snapshot.
    - Remove merged patch 02-spelling-error.
    - v4lv1 support is dropped. Also drop patch 01-moved-videodev.h-include.
    - Switch to cmake.
    - Add new build dependency libqtwebkit-dev.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove deprecated hardening-wrapper.
  * Update to DEP5 debian/copyright format.
  * Adjust debian/watch to the new location on github.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature. There is no
    GPG signature available.
  * Adjust installation source paths.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Jul 2015 20:10:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Homepage: http://www.enricoros.com/opensource/fotowall/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 9),
+ cmake,
  libqt4-dev,
  libqt4-opengl-dev,
- libv4l-dev [linux-any],
- zlib1g-dev,
- hardening-wrapper
-Standards-Version: 3.9.4
+ libqtwebkit-dev,
+ zlib1g-dev
+Standards-Version: 3.9.6
 
 Package: fotowall
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: simple application for creating collages and compositions

=== debian/watch ===
version=3
opts=uversionmangle=s/~//;s/-beta/~beta/;s/-pr/~pr/;s/-rc/~rc/ \
https://github.com/enricoros/fotowall/releases \
/enricoros/fotowall/archive/(.+)\.tar\.gz

## fotowall 1.0

=== debian/changelog ===
fotowall (1.0-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add fotowall-1.0-fix-build-against-qt-5.11.0.patch from Mageia via the Arch
    AUR.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 30 Nov 2019 13:52:31 -0800

fotowall (1.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release, build for MX 17.
  * Drop all patches except 03-desktop-keywords.diff, fixed upstream.
  * Change to Qt 5 build.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 May 2018 08:02:03 -0700

=== debian/control ===
Source: fotowall
Section: graphics
Priority: optional
Homepage: http://www.enricoros.com/opensource/fotowall/
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
	qtbase5-dev,
	libqt5svg5-dev,
	qt5-default,
	qt5-qmake,
	libqglviewer-dev-qt5,
	pax-utils,
	tree,
    zlib1g-dev
Standards-Version: 3.9.6

Package: fotowall
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple application for creating collages and compositions
 FotoWall is a creative tool that allows you to layout your photos or
 pictures in a personal way.
 .
 You can add pictues, then resize, move, change colors, text, shadows,
 etc. to create your composition or collage.
 .
 The focus of this application is on simplicity.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	qmake
